It is currently Wed Nov 25, 2020 5:20 am
All times are UTC + 8 hours

failed to start Sabnzbdplus after 5 years

SABnzbd makes Usenet as simple and streamlined as possible by automating everything we can. All you have to do is add an .nzb. SABnzbd takes over from there, where it will be automatically downloaded, verified, repaired, extracted and filed away with zero human interaction.

Moderators: JohnnyFive, clinton.hall

failed to start Sabnzbdplus after 5 years

Postby igracgq » Mon Oct 28, 2019 7:00 am

So sabnzbdplus stopped working this week. I tired reinstalling it and manually restarting it with

rm -rf /usr/local/AppCentral/sabnzbdplus/sabnzbd-9090.pid
/usr/local/AppCentral/sabnzbdplus/CONTROL/start-stop.sh restart

But the terminal told me that it requres Python 3.5 or above. I manually installed 3.5 which I found here viewtopic.php?f=199&t=8322&p=34261&hilit=python3.5#p34261
but no luck in running sabnzbdplus as it still tries to use 2.7 version.

Any solutions?

Thanks
AS-602 with 3GB ram, 4TB WD Red

Qnap TS-119, DD-WRT Linksys 310n, WDlxTV player, RasperryPi OpenELEC
igracgq
 
Posts: 31
Joined: Sun Nov 17, 2013 4:57 am

Re: failed to start Sabnzbdplus after 5 years

Postby drmonty » Mon Aug 17, 2020 11:00 pm

Hi,

I found a way to get sabnzbdplus working until a working solution for sabnzbd 3.0 got found (as simply installing python3 and updating start-stop.sh to use python3 instead of python2.7 isn't working).

Follow these steps:

1. Access your NAS using SSH (enable SSH in "Services → Terminal")
2. Navigate to /volume1/Download/SABnzbd/log and create the file called NO_UPGRADE:

Code: Select all
cd /volume1/Download/SABnzbd/log
touch NO_UPGRADE


3. Navigate to /volume1/.@plugins/AppCentral/sabnzbdplus/sabnzbdplus and checkout the latest sabnzbd 2 version available (on writing, this was 2.3.9):

Code: Select all
cd /volume1/.@plugins/AppCentral/sabnzbdplus/sabnzbdplus
git checkout 2.3.9


4. Stop and start sabnzbdplus using "AppCentral" (the webinterface of your Asustor).

That's all. Atleast for now it won't update sabnzbd anymore until the file /volume1/Download/SABnzbd/log/NO_UPGRADE get's removed (which should be done as soon an update of the package get's available).
Hopefully clinton.hall will have a working solution for us soon.

- drmonty
Model: AS-604T (with 4x WD20EFRX, RAID5)
OS's: Arch Linux (on XPS13 9343 and NUC D54250WYK)
drmonty
 
Posts: 7
Joined: Fri Apr 19, 2013 6:38 pm
Location: Berlin, Germany

Re: failed to start Sabnzbdplus after 5 years

Postby igracgq » Mon Aug 17, 2020 11:19 pm

Thanks for the solution drmonty ... I will give it a try but for the last 10 months I have been using nzbget and had no issues... actually like it better as its a lighter program than sabnzb so I get faster dl speeds and the program has more options
AS-602 with 3GB ram, 4TB WD Red

Qnap TS-119, DD-WRT Linksys 310n, WDlxTV player, RasperryPi OpenELEC
igracgq
 
Posts: 31
Joined: Sun Nov 17, 2013 4:57 am

Re: failed to start Sabnzbdplus after 5 years

Postby Lacsap » Sun Aug 23, 2020 4:07 pm

Hi,

I'm facing the same issue here, and I'm quite sure your solution will work :), but can't figure out what you mean by step 3. Do I download a new APK, because no traces to be found of a 2.3.9 version in my Sabnzbdplus folder.
Thanx!
Lacsap
 
Posts: 2
Joined: Sun Aug 23, 2020 4:05 pm

Re: failed to start Sabnzbdplus after 5 years

Postby drmonty » Tue Aug 25, 2020 1:49 pm

Hi Lacsap,

as sabnzbdplus get's updated on every start to the latest available version using git, we're also able to go back in history and switch a known working version, which is version 2.3.9.

You do have git installed on you NAS, as this is a requirement of sabnzbdplus, so the command "git" should work as described. The following directory:

Code: Select all
/volume1/.@plugins/AppCentral/sabnzbdplus/sabnzbdplus


is the path of application - at least on my AS-604T. Maybe the directory do differ from NAS to NAS...?
Model: AS-604T (with 4x WD20EFRX, RAID5)
OS's: Arch Linux (on XPS13 9343 and NUC D54250WYK)
drmonty
 
Posts: 7
Joined: Fri Apr 19, 2013 6:38 pm
Location: Berlin, Germany

Re: failed to start Sabnzbdplus after 5 years

Postby Lacsap » Wed Aug 26, 2020 8:35 pm

Hi drmonty,

thank you very much! Turned out that I had no clue how to execute a git command, but figured it out and it works!
The path is exactly the same here on my 1004T

Regards,

lacsap
Lacsap
 
Posts: 2
Joined: Sun Aug 23, 2020 4:05 pm

Re: failed to start Sabnzbdplus after 5 years

Postby Stik » Tue Sep 15, 2020 4:16 pm

Thanks so much for that it worked perfectly
Stik
 
Posts: 38
Joined: Tue Aug 18, 2015 1:52 pm
Location: Adelaide, South Australia

Re: failed to start Sabnzbdplus after 5 years

Postby JeremyCreekit » Wed Sep 30, 2020 6:17 pm

SABnzbd stopped being accessible for me in the past few days. I've tried removing the .pid file and restarting the app via SSH, and I have tried the 4 step process above for rolling back my version (tried 2.3.8 and 2.3.9) but neither has worked. Hmmm... looks like I might need to do a full reinstall unless anyone else has any ideas (and similar experiences)?

How can I install the latest version 3.0.2 via Git and SSH? Maybe that's worth a try?

Thanks!
JeremyCreekit
 
Posts: 45
Joined: Mon Feb 10, 2014 4:28 am

Re: failed to start Sabnzbdplus after 5 years

Postby JeremyCreekit » Fri Oct 09, 2020 6:31 pm

FYI, I reached out to the package maintainer, Clinton Hall, who helped me understand this issue. As he describes it, "This is related to an issue with the Entware package, where it installs into a location with 0 space available and never finishes installing."
JeremyCreekit
 
Posts: 45
Joined: Mon Feb 10, 2014 4:28 am

Re: failed to start Sabnzbdplus after 5 years

Postby father.mande » Fri Oct 09, 2020 9:51 pm

Hi,

In some system and series (arm arm64) but perhaps now on others ...
Asustor reply to stat (linux command) of /opt by an available size of 0 (zero) ITS AN OLD OLD KNOW PROBLEM
Code: Select all
# stat /opt
  File: /opt
  Size: 0               Blocks: 0          IO Block: 4096   directory
Device: 1h/1d   Inode: 2934        Links: 2
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2020-08-11 19:57:21.000000000
Modify: 2020-10-09 09:35:03.000000000
Change: 2020-10-09 09:35:03.000000000

root@AS1002TAPHIL:/volume1/.@root #


To bypass this problem (but normally done in Entware delivery) ... add in /opt/etc/opkg.conf the line :

Code: Select all
option force_space


If it's in a shell script and you don't want to change Entware settings add : --force-space to opkg install ...

Philippe.
AS5202T /AS5002T / AS202TE / AS1002T
My Blog specific to my APKG : https://blog.father-mande.ovh/
User avatar
father.mande
 
Posts: 1047
Joined: Sat Sep 12, 2015 2:55 am

Return to SABnzbdplus

  • You cannot post new topics in this forum
    You cannot reply to topics in this forum
    You cannot edit your posts in this forum
    You cannot delete your posts in this forum
    You cannot post attachments in this forum
  • Who is online

    Users browsing this forum: No registered users and 1 guest